/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

@import "./assets/libs/bootstrap/css/bootstrap.css";
@import "./assets/libs/fontawesome/css/all.css";

@import "../node_modules/office-ui-fabric-core/dist/css/fabric.min.css";

@font-face {
    font-family: 'TTNormsMedium';
    src: url('assets/fonts/TTNorms-Medium.otf');
}

@font-face {
    font-family: 'TTNormsBold';
    src: url('assets/fonts/TTNorms-Bold.otf');
}

@font-face {
    font-family: 'TTNormsRegular';
    src: url('assets/fonts/TTNorms-Regular.otf');
}

@font-face {
    font-family: 'TTNormsLight';
    src: url('assets/fonts/TTNorms-Light.otf');
}

ion-modal{
    padding: 20vh 5vw;
    transition: opacity .25s ease-in-out;
    background: rgba(0, 0, 0, 0.5) !important;
}

.modal-wrapper{
    border-radius: 1em !important;
}



html, body, p, span, div, label {
    color: #505050;
    line-height: 1.4;
    font-family: 'TTNormsRegular';
}

h1, h2, h3, h4, h5 {
    font-family: 'TTNormsMedium';
}


div {
    color: #505050;
}

b {
    font-family: "TTNormsBold";
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

.ms-btn {
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    user-select: none;
    padding: 10px 50px;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 5px;
    font-weight: 600;

    .ms_text{
        color: white !important;
    }
}

.ms-btn-guest {
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    user-select: none;
    padding: 10px 0 10px 0;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 5px;
    font-weight: 600;

    .ms_text{
        color: white !important;
    }
}

.ms-icon-btn {
    margin-bottom: 15px;
    text-align: left;
}

.ms-btn-primary {
    background: #45cdcf; /* Old browsers */
    background: -moz-linear-gradient(45deg,  #45cdcf 0%, #92f3bf 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(45deg,  #45cdcf 0%,#92f3bf 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(45deg,  #45cdcf 0%,#92f3bf 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#45cdcf', endColorstr='#92f3bf',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
}

.ms-btn-secondary {
    margin-bottom: 3em;
    background: #fbb844; /* Old browsers */
    background: -moz-linear-gradient(45deg,  #fbb844 0%, #fce045 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(45deg,  #fbb844 0%,#fce045 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(45deg,  #fbb844 0%,#fce045 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fbb844', endColorstr='#fce045',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */

}

.ms-btn-tertiary {
    background: #4267b2; /* Old browsers */
    background: -moz-linear-gradient(45deg,  #4267b2 0%, #1b428e 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(45deg,  #4267b2 0%,#1b428e 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(45deg,  #4267b2 0%,#1b428e 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#4267b2', endColorstr='#1b428e',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
}

.ms-btn-alert {
    background: #ea4335; /* Old browsers */
    background: -moz-linear-gradient(45deg,  #ea4335 0%, #cf3c2f 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(45deg,  #ea4335 0%,#cf3c2f 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(45deg,  #ea4335 0%,#cf3c2f 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ea4335', endColorstr='#cf3c2f',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
}

.ms-btn:hover {
    -webkit-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.20);
    -moz-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.20);
    box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.20);
    transition: box-shadow 0.3s ease-in-out;
}

.ms-full-width {
    width: 100% !important;
}

.ms-login-wrapper {
    position:fixed;
    top: 40%;
    left: 50%;
    width:30em;
    height:18em;
    margin-top: -9em; /*set to a negative number 1/2 of your height*/
    margin-left: -15em; /*set to a negative number 1/2 of your width*/
}

.ms-login-mob-wrapper {
    position: fixed;
    height: 18em;
    bottom: -8em;
    margin-left: 2em;
    margin-right: 2em;
}

.ms-mob-footer {
    position: relative;
    bottom: 0em;
    margin-right: 2em;
    width: 100%;
    padding: 1em;
    background-color: white;
}

.ms-mob-footer-login {
    position: fixed;
    bottom: 0em;
    margin-right: 2em;
    width: 100%;
    padding: 1em;
    background-color: white;
    border-radius: 25px 25px 0 0;
    // transition: opacity .25s ease-in-out;
}

.ms-admin-login-label {
    text-align: center;
    font-size: 30px;
    font-family: 'TTNormsBold';
    margin-bottom: 30px;
}

.ms-login-logo {
    width: 110px;
    margin: 20px auto;
    display: block;
}

.ms-form {
    // margin-bottom: 15px;
    text-align: left
}

.ms-login-form {
    text-align: center;
}

.ms-shadow {
    box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.1);
    -webkit-transition: box-shadow 0.3s ease-in-out;
}

.ms-form:focus {
    border-color: #45cdcf;
    -webkit-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.20);
    -moz-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.20);
    box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.20);
    transition: box-shadow 0.3s ease-in-out;
}

.ms-screen-header {
    font-size: 1.3em;
    font-weight: bold;
    text-transform: lowercase;
}

span.ms-btn-ico i {
    position: absolute;
    right: 4em;
    margin-top: .2em;
}

.no-gutter {
    margin: 0;
}

.no-padding {
    padding: 0;
}

.ms-control-inline {
    display: inline-block;
    margin-right: 1em;
}

.ms-custom-control-input:checked ~ .custom-control-label::before {
    color: #fff;
    border-color: #8aefc0;
    background-color: #4cd0ce;
}

.ms-group-control {
    margin-bottom: 15px;
    display: block;
}

.ms-have-space {
    margin: 2em 0
}

.ms-home {
    padding: 0 1em 1em;
}

.ms-home-body {
    padding: 1em 1em 1em;
}

.camera-icon{
    padding-left: 5px;
    font-size: 25px;
    text-align: center;
    vertical-align: bottom;
}

.ms-mob-body {
    margin-right: 2em;
    width: 100%;
    padding: 1em 1em 3em;
}

.ms-home-topbar {
    position: sticky;
    top: -0.5em;
    width: 100%;
    margin: 0;
}

.ms-home-topbar-logo {
    width: 10em;
    padding: 2em 1em 1em;
    margin-left: 1em;
    margin-top: .5em;
}

.ms-topbar-toolbar {
    text-align: right;
    padding: 2em 1em 1em;
}

.ms-topbar-toolbar span a {
    font-size: 1.4em;
}

.ms-topbar-toolbar span span.toolbar-notif {
    color: #FBB844;
    width: 3em;
}

.ms-home-topbar div.col-xs {
    width: 50%;
}
.ms-home-topbar div.col-xs:last-child > span {
    margin-right: 25px
}

.ms-home-topbar div.col-xs:last-child span span.toolbar-notif {
    position: absolute;
    font-size: 10px;
    padding: 0.3em;
    color: white;
    background-color: #45CDCF;
    right: 2.2em;
    border-radius: 15px;
    text-align: center;
}


.ms-home-bottombar {
    position: fixed;
    bottom: -14.5em;
    margin-right: 2em;
    width: 100%;
    background-color: white;
    transition: bottom 0.3s ease-in-out;

}

.ms-home-bottombar-logo {
    width: 1.5em;
}

.ms-home-bottombar .ms-bottom-toolbar .ms-bottom-toolbar-tool {
    text-align: center;
}

.ms-home-bottombar .ms-bottom-toolbar .ms-bottom-toolbar-tool span {
    text-align: center;
    width: 30%;
    display: inline-block;
    margin-left: auto;
    margin-right: auto;
}


.ms-body-toolbar{
    padding: 1em 1em;
}

.ms-home-header {
    font-size: 1.3em;
    font-family: "TTNormsMedium";
    text-transform: lowercase;
    margin-bottom: 0.3em;
}

.ms-info {
    font-size: 10px;
    line-height: 10px;
    font-family: "TTNormsLight";
}

.ms-info i {
    margin-right: 5px;
}

.steps-back-button{
    left: 1em;
    top: .5em;
    position: fixed;
}

.ms-modal-content {
    border: none;
}

.ms-text-teal {
    color: #45cdcf;
}

.ms-teal {
    background-color: #45cdcf;
}

.ms-bottombar-ms {
    font-size: 1em !important;
}

.ms-bottom-toolbar-tool span a {
    font-size: 1.4em;
}

.ms-scheme-bottombar {
    bottom: 0em;
    margin-top: 1em;
    padding: 1em 0;
}

.modal-wrapper {
    border-radius: 0.3em !important;
}

.ms-main-categories {
    list-style: none;
    display: inline-block;
    width: 50%;
    padding-left: 0.5em;
}

.ms-main-categories li {
    margin: 10px 0;
}

.ms-main-categories li i {
    margin-right: 10px;
}


.ms-horizcards {
    list-style: none;
    padding: 0;
}

.ms-horizcards li {
    --background: var(--ion-item-background,transparent);
    --color: var(--ion-color-step-600,#666);
    border-radius: 8px;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-transition: -webkit-transform .5s cubic-bezier(.12,.72,.29,1);
    transition: -webkit-transform .5s cubic-bezier(.12,.72,.29,1);
    transition: transform .5s cubic-bezier(.12,.72,.29,1);
    transition: transform .5s cubic-bezier(.12,.72,.29,1),-webkit-transform .5s cubic-bezier(.12,.72,.29,1);
    font-size: 14px;
    -webkit-box-shadow: 0 4px 16px rgba(0,0,0,.12);
    box-shadow: 0 4px 16px rgba(0,0,0,.12);
    width: 100%;
    height: 7em;
    margin-bottom: 1em;
}

.ms-horizcard {
    position: relative;
}

.ms-horizcard-image img {
    height: 7em;
    position: absolute;
    left: 0;
    max-width: 7em !important;
}

.ms-horizcard-content {
    padding-left: 7em;
}

.ms-horizcard-content > div {
    padding: 0.5em;
}

.ms-horizcard-content > div > h5 {
    font-size: 1.2em;
}

.ms-horizcard span {
    padding: 0.2em 0.5em;
    background-color: #019E35;
    color: white;
    position: absolute;
    top: 0.5em;
    left: -0.5em;
    font-family: "TTNormsMedium";
}

.ms-home-main {
    position: relative;
}

.ms-page-tool {
    position: fixed;
    right: 0;
    bottom: -5px;
}

.ms-page-tool ul {
    list-style: none;
}

.ms-page-tool ul li {
    background-color: #01AC50;
    font-size: 1.5em;
    padding: 0.5em;
    border-radius: 100%;
    width: 60px;
    height: 60px;
    text-align: center;
    vertical-align: middle;
    color: white;
    display: inline-grid;
    margin-right: 15px;
    box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.1);
}
.ms-page-tool ul li.ms-page-tool-less-emphasis {
    background-color: #01AC50;
    font-size: 1em;
    padding: 0.5em;
    border-radius: 100%;
    width: 40px;
    height: 40px;
    text-align: center;
    vertical-align: middle;
    color: white;
    display: inline-grid;
    margin-right: 15px;
    box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.1);
}

.ms-page-tool ul li.ms-page-tool-less-emphasis i {
    padding-top: 2px;
}

.ms-page-tool ul li i {
    padding-top: 3px;
}

/*normal list*/
ul.ms-normal-list {
    padding-left: 0;
}

.ms-normal-list li {
    list-style: none;
    padding: 1em 1em 1em 0;
    border-bottom: 1px solid lightgray;
}

.ms-normal-list li p {
    font-family: "TTNormsMedium";
    margin-bottom: 0;
}

.ms-normal-list li p.ms-message-preview {
    font-size: 11px;
    color: #7d7d7d;
    text-overflow: ellipsis;
    overflow: hidden;
    width: 25em;
    white-space: nowrap;
    margin-right: 10px;
}

.ms-normal-list li span {
    font-size: 9px;
    color: #7d7d7d;
}

ion-header {
    backdrop-filter: blur(20px);
    background-color: rgba(255,255,255,.3);
}

.ms-home-bottombar {
    backdrop-filter: blur(20px);
    background-color: rgba(255,255,255, .3);
}

ion-content{
    font-family: 'TTNormsRegular';
}
